#!/usr/bin/ruby

require 'json'

ret = []

sensors=`ipmitool sensor`

sensors_h = {}

sensors.each_line do |line|
  line = line.chomp
  sensor = line.sub(/[ ]*\|.*/,'')
  value  = line.sub(/^[^\|]*\|[ ]*(.*?)[ ]*\|.*/,'\1')
  sensors_h[sensor] = value
  if value != 'na'
    ret << { "{#SENSOR_NAME}" => sensor }
  end
end

puts JSON.pretty_generate({"data" => ret})
cache = File.new('/var/tmp/zabbix-ipmisensorcache.json.new', "w")
File.chmod(0644, '/var/tmp/zabbix-ipmisensorcache.json.new')
cache.puts(JSON.pretty_generate(sensors_h))
cache.close
File.rename('/var/tmp/zabbix-ipmisensorcache.json.new', '/var/tmp/zabbix-ipmisensorcache.json')
