#!/usr/bin/ruby

require 'date'

vol=ARGV[0]

if vol == nil
   vol = '/gpfs/vol1'
end

d = Date.today()
date_today = d.strftime('%F')
date_yesterday = d.prev_day.strftime('%F')

date_ok=0

Dir["#{vol}/.snapshots/*"].each do |dir|
   if dir =~ /#{date_today}/
      date_ok = 1
   end
   if dir =~ /#{date_yesterday}/
      date_ok = 1
   end
end

puts date_ok
