#!/usr/bin/ruby

require 'date'

log = ARGV[0]
n = Time.now
n_i = n.to_i - 120

File.read(log).each_line do |line|
  if line =~ /kernel:/
    d = DateTime.parse(line[0..15]+" "+n.zone()).to_time.to_i
    next if d > (n_i + 86400*30)
    if n_i < d
      if line =~ /error/i
        if line !~ /traps:/
          puts(line)
        end
      end
    end
  end
end
